#
# spec file for package perl-App-Dochazka-WWW
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-App-Dochazka-WWW
Version:        0.155
Release:        3.2
%define cpan_name App-Dochazka-WWW
Summary:        Dochazka Attendance & Time Tracking system web client
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
URL:            http://search.cpan.org/dist/App-Dochazka-WWW/
Source0:        App-Dochazka-WWW-0.155.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::CELL) >= 0.196
BuildRequires:  perl(App::MFILE::WWW) >= 0.164
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(Module::Build) >= 0.370000
BuildRequires:  perl(Params::Validate) >= 1.06
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Test::Fatal)
Requires:       perl(App::CELL) >= 0.196
Requires:       perl(App::MFILE::WWW) >= 0.164
Requires:       perl(File::ShareDir) >= 1.00
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  pkgconfig(systemd)
Requires(pre):  /usr/sbin/groupadd
Requires(pre):  /usr/sbin/useradd
Provides:       group(dochazka-www)
Provides:       user(dochazka-www)
%{?systemd_ordering}

%pre
getent group dochazka-www >/dev/null || groupadd -r dochazka-www
getent passwd dochazka-www >/dev/null || useradd -r -g dochazka-www -d %{_localstatedir}/lib/dochazka-www -s /sbin/nologin -c "user for dochazka WWW" dochazka-www
%service_add_pre dochazka-www.service

%preun
%service_del_preun dochazka-www.service

%postun
%service_del_postun dochazka-www.service

%post
%service_add_post dochazka-www.service
# MANUAL END

%description
This is the web client of the Dochazka Attendance & Time Tracking system.
For more information see the App::Dochazka::REST manpage and the
App::MFILE::WWW manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
# MANUAL BEGIN
install -dm0755 %{buildroot}%{_sysconfdir}/dochazka-www
install -m0640 ext/WWW_SiteConfig.pm.example %{buildroot}%{_sysconfdir}/dochazka-www/WWW_SiteConfig.pm
install -m0640 ext/WWW_SiteConfig.pm.example %{buildroot}%{_sysconfdir}/dochazka-www/WWW_SiteConfig.pm.example
install -dm0755 %{buildroot}%{_localstatedir}/lib/dochazka-www
install -dm0755 %{buildroot}%{_localstatedir}/log/dochazka-www
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_unitdir}
ln -sf service %{buildroot}%{_sbindir}/rcdochazka-www
install -m0644 ext/systemd/dochazka-www.service %{buildroot}%{_unitdir}/dochazka-www.service

echo "%dir %{_sysconfdir}/dochazka-www" >> %{name}.files
echo "%config(noreplace) %attr(0640,dochazka-www,dochazka-www) %{_sysconfdir}/dochazka-www/WWW_SiteConfig.pm" >> %{name}.files
echo "%config %attr(0640,dochazka-www,dochazka-www) %{_sysconfdir}/dochazka-www/WWW_SiteConfig.pm.example" >> %{name}.files
echo "%attr(0750,dochazka-www,dochazka-www) %dir %{_localstatedir}/lib/dochazka-www" >> %{name}.files
echo "%attr(0750,dochazka-www,dochazka-www) %dir %{_localstatedir}/log/dochazka-www" >> %{name}.files
echo "%{_sbindir}/rcdochazka-www" >> %{name}.files
echo "%{_unitdir}/dochazka-www.service" >> %{name}.files
# MANUAL END
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes ext LICENSE README.rst share

%changelog
* Wed Mar 27 2024 Nathan Cutler <ncutler@suse.com>
- spec:
  + add user() and group() provides (boo#1221423)
* Mon Mar  9 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Use BuildRequires: pkgconfig(systemd) instead of systemd: allow
  OBS to shortcut through -mini flavors.
- Use %%systemd_ordering instead of %%systemd_requires: systemd is
  not strictly needed, but if it's installed as part of the same
  transaction, we want systemd to be installed first.
* Wed Feb 12 2020 Nathan Cutler <ncutler@suse.com>
- updated to 0.155
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Wed Feb 12 2020 Nathan Cutler <ncutler@suse.com>
- cpanspec.yml: ship /var/log/dochazka-www instead of /var/log/dochazka
* Fri Oct 20 2017 ncutler@suse.com
- updated to 0.155
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Oct 19 2017 ncutler@suse.com
- updated to 0.154
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Oct 19 2017 ncutler@suse.com
- updated to 0.153
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Mon Oct 16 2017 ncutler@suse.com
- updated to 0.152
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Sat Nov  5 2016 ncutler@suse.com
- updated to 0.142
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Tue Nov  1 2016 ncutler@suse.com
- updated to 0.141
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Wed Sep 28 2016 ncutler@suse.com
- updated to 0.140
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Wed Sep 28 2016 ncutler@suse.com
- updated to 0.139
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Tue Sep 27 2016 ncutler@suse.com
- updated to 0.138
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Sun Sep 25 2016 ncutler@suse.com
- updated to 0.137
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Sun Sep 25 2016 ncutler@suse.com
- updated to 0.136
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Sun Sep 25 2016 ncutler@suse.com
- updated to 0.135
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Mon Sep 19 2016 ncutler@suse.com
- updated to 0.134
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Sep 15 2016 ncutler@suse.com
- updated to 0.133
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Sep 15 2016 ncutler@suse.com
- updated to 0.132
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Sep 15 2016 tampakrap@opensuse.org
- add example and empty config files
* Mon Sep 12 2016 ncutler@suse.com
- updated to 0.131
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Mon Sep 12 2016 ncutler@suse.com
- updated to 0.130
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Mon Sep 12 2016 tampakrap@opensuse.org
- create dochazka-www user, and also its homedir
- create logdir
- install the unit service file
* Mon Sep 12 2016 ncutler@suse.com
- updated to 0.129
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Mon Sep 12 2016 ncutler@suse.com
- updated to 0.128
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Sep  8 2016 tampakrap@opensuse.org
- updated to 0.126
  see /usr/share/doc/packages/perl-App-Dochazka-WWW/Changes
* Thu Jul 30 2015 ncutler@suse.com
- git rid of App::Dochazka::REST dependency
* Wed Jul 22 2015 ncutler@suse.com
- add _service file
- Update to 0.125
* Thu Oct 16 2014 ncutler@suse.com
- Update to 0.124
* Thu Oct 16 2014 ncutler@suse.com
- update spec file
* Tue Oct 14 2014 ncutler@suse.com
- Update to 0.123
* Mon Oct 13 2014 ncutler@suse.com
- Update to 0.121
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.114
* Wed Sep 24 2014 ncutler@suse.com
- remove BuildRequires: perl-App-Dochazka-REST, as the REST
  server is not required for building
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.113
* Mon Sep 22 2014 ncutler@suse.com
- Update to 0.105
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.102
* Tue Sep  9 2014 ncutler@suse.com
- Update to 0.074
* Wed Sep  3 2014 ncutler@suse.com
- Update to 0.066
* Wed Sep  3 2014 ncutler@suse.com
- Update to 0.065
* Fri Aug 29 2014 ncutler@suse.com
- Update to 0.058
* Fri Aug 29 2014 ncutler@suse.com
- Update to 0.057
* Thu Aug 28 2014 ncutler@suse.com
- Update to 0.054
* Thu Aug 28 2014 ncutler@suse.com
- Update to 0.053
* Wed Aug 27 2014 ncutler@suse.com
- Update to 0.050
* Tue Aug 26 2014 ncutler@suse.com
- Update to 0.049
* Tue Aug 26 2014 ncutler@suse.com
- Update to 0.048
* Mon Aug 25 2014 ncutler@suse.com
- Update to 0.044
* Mon Aug 25 2014 ncutler@suse.com
- Update to 0.043
* Fri Aug 22 2014 ncutler@suse.com
- Update to 0.036
* Fri Aug 22 2014 ncutler@suse.com
- Update to 0.035
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.032
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.031
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.030
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.029
* Thu Aug 21 2014 ncutler@suse.com
- Update to 0.028
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.024
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.023
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.022
* Mon Aug 18 2014 ncutler@suse.com
- Update to 0.021
* Mon Aug 18 2014 ncutler@suse.com
- Update to 0.020
* Mon Aug 18 2014 ncutler@suse.com
- Update to 0.019
* Fri Aug 15 2014 ncutler@suse.com
- Update to 0.016
* Thu Aug 14 2014 ncutler@suse.com
- Update to 0.013
* Wed Aug 13 2014 ncutler@suse.com
- updated dependencies
* Wed Aug 13 2014 ncutler@suse.com
- updated to 0.010
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.010
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.009
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.008
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.007
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.007
* Wed Aug 13 2014 ncutler@suse.com
- Update to 0.007
* Wed Aug 13 2014 ncutler@suse.com
- initial package 0.005
  * created by cpanspec 1.78.08
